xphyle package
==============

Public API
----------

xphyle module
~~~~~~~~~~~~~

.. automodule:: xphyle
    :members:
    :undoc-members:
    :show-inheritance:

xphyle.utils module
~~~~~~~~~~~~~~~~~~~

.. automodule:: xphyle.utils
    :members:
    :undoc-members:
    :show-inheritance:

xphyle.paths module
~~~~~~~~~~~~~~~~~~~

.. automodule:: xphyle.paths
    :members:
    :undoc-members:
    :show-inheritance:

Plugin API
----------

You shouldn't need these modules unless you want to extend xphyle functionality.

xphyle.formats module
~~~~~~~~~~~~~~~~~~~~~

.. automodule:: xphyle.formats
    :members:
    :undoc-members:
    :show-inheritance:

xphyle.progress module
~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: xphyle.progress
    :members:
    :undoc-members:
    :show-inheritance:

xphyle.urls module
~~~~~~~~~~~~~~~~~~

.. automodule:: xphyle.urls
    :members:
    :undoc-members:
    :show-inheritance:
